#ifndef __LED_H
#define __LED_H

//#define IO_LED1			P2_0
#define IO_LED2			P2_1
#define IO_LED3			P2_2
#define IO_LED4			P2_3
#define IO_LED5			P2_4
#define IO_LED_CHARGE	P3_5
#define IO_LED_BLE		IO_LED1

#define LED5On()	    IO_LED5 = 1;
#define LED5Off()	    IO_LED5 = 0;
#define LED4On()	    IO_LED4 = 1;
#define LED4Off()	    IO_LED4 = 0;
#define LED3On()	    IO_LED3 = 1;
#define LED3Off()	    IO_LED3 = 0;
#define LED2On()	    IO_LED2 = 1;
#define LED2Off()	    IO_LED2 = 0;
#define LED1On()	    if(!bLedDisBleFlg) {IO_LED1 = 1;}
#define LED1Off()	    if(!bLedDisBleFlg) {IO_LED1 = 0;}
#define LEDAllOn()	    \
{					    \
	LED1On();		    \
	LED2On();		    \
	LED3On();		    \
	LED4On();		    \
	LED5On();		    \
}

#define LEDAllOff()	    \
{					    \
	LED1Off();		    \
	LED2Off();		    \
	LED3Off();		    \
	LED4Off();		    \
	LED5Off();		    \
}


extern BOOL	bLedDisFlg;
extern BOOL	bLedDisBleFlg;
extern U8	xdata	ucLedTimeCnt;
extern U8	xdata   ucLedBleFlickCnt;

extern void LedDisplay(void);


#endif